-- exercise
-- insert into exercise (id, lecture_id, description, difficulty, name) values (default, ?, ?, ?, ?)
INSERT INTO exercise (id, course_id, description, difficulty, name) VALUES (1, 5, 'Practice using the present continuous tense.', 3, 'Present Continuous Exercise 1');
INSERT INTO exercise (id, course_id, description, difficulty, name) VALUES (2, 5, 'Use the past simple to describe past events.', 6, 'Past Simple Exercise 1');
INSERT INTO exercise (id, course_id, description, difficulty, name) VALUES (3, 5, 'Learn vocabulary related to food.', 2, 'Food Vocabulary Exercise 1');
INSERT INTO exercise (id, course_id, description, difficulty, name) VALUES (4, 5, 'Practice answering common job interview questions.', 7, 'Job Interview Exercise 1');

INSERT INTO exercise (id, course_id, description, difficulty, name) VALUES (5, 1, 'Übung zum Begrüßen und Vorstellen', 2, 'Begrüßung und Vorstellung Übung');

ALTER TABLE exercise ALTER COLUMN id RESTART WITH 6;

-- question
-- insert into question (id, exercise_id, text) values (default, ?, ?)
INSERT INTO question (id, exercise_id, text) VALUES (1, 1, 'What is the correct form of the present continuous tense of "run"?');
INSERT INTO question (id, exercise_id, text) VALUES (2, 1, 'Which verbs are not usually used in the present continuous tense?');

INSERT INTO question (id, exercise_id, text) VALUES (3, 2, 'What did you do last weekend?');
INSERT INTO question (id, exercise_id, text) VALUES (4, 2, 'What did you eat for breakfast this morning?');
INSERT INTO question (id, exercise_id, text) VALUES (5, 2, 'Where did you go on vacation last year?');

INSERT INTO question (id, exercise_id, text) VALUES (6, 3, 'What is the English word for "la comida"?');

INSERT INTO question (id, exercise_id, text) VALUES (7, 4, 'Tell me about yourself.');
INSERT INTO question (id, exercise_id, text) VALUES (8, 4, 'Why are you interested in this job?');
INSERT INTO question (id, exercise_id, text) VALUES (9, 4, 'What are your greatest strengths and weaknesses?');
INSERT INTO question (id, exercise_id, text) VALUES (10, 4, 'Can you give an example of a time when you overcame a challenge?');
INSERT INTO question (id, exercise_id, text) VALUES (11, 4, 'Where do you see yourself in five years?');

INSERT INTO question (id, exercise_id, text) VALUES (12, 5, 'Was ist eine höfliche Begrüßung im Deutschen?');
INSERT INTO question (id, exercise_id, text) VALUES (13, 5, 'Wie antwortet man auf die Frage "Wie geht es Ihnen?"');
INSERT INTO question (id, exercise_id, text) VALUES (14, 5, 'Wie stellt man sich auf Deutsch vor?');

ALTER TABLE question ALTER COLUMN id RESTART WITH 15;


-- answer
-- INSERT INTO answer (is_correct, question_id, text) VALUES (1, 1, 'is running')
INSERT INTO answer (id, question_id, is_correct, text) VALUES (1, 1, true, 'is running');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (2, 1, false, 'are running');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (3, 1, false, 'am running');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (4, 2, true, 'think');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (5, 2, true, 'want');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (6, 2, false, 'love');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (7, 3, true, 'I visited my family.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (8, 3, false, 'I''m visiting my family.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (9, 3, false, 'I will visit my family.');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (10, 4, true, 'the food');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (11, 4, false, 'the drink');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (12, 4, false, 'the music');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (13, 5, true, 'I ate cereal for breakfast.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (14, 5, false, 'I eat cereal for breakfast.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (15, 5, false, 'I will eat cereal for breakfast.');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (16, 6, true, 'I went to Hawaii on vacation last year.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (17, 6, false, 'I''m going to Hawaii on vacation next year.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (18, 6, false, 'I will go to Hawaii on vacation next year.');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (19, 7, false, 'I was born in a small town in the midwest.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (20, 7, false, 'I graduated from XYZ University with a degree in computer science.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (21, 7, true, 'I have over five years of experience in software development.');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (22, 8, false, 'I just need a job.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (23, 8, true, 'I am excited about the company culture and the opportunities for growth.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (24, 8, false, 'I heard the salary is good.');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (25, 9, true, 'My greatest strength is my attention to detail. My greatest weakness is public speaking.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (26, 9, false, 'My greatest strength is my ability to multitask. My greatest weakness is that I am a perfectionist.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (27, 9, false, 'My greatest strength is my leadership skills. My greatest weakness is that I work too hard.');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (28, 10, true, 'When I was working on a project for a client, the client requested changes that were outside the scope of the project. I had to work with the client to manage their expectations and negotiate a compromise.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (29, 10, false, 'When I was in college, I had a difficult time balancing my coursework and my social life. I had to learn how to manage my time better.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (30, 10, false, 'I have never faced a significant challenge in my professional life.');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (31, 11, false, 'I see myself in a management position, leading a team of developers.');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (32, 11, true, 'I see myself as a valuable contributor to the company, continuing to develop my skills and taking on new challenges.');


INSERT INTO answer (id, question_id, is_correct, text) VALUES (33, 12, true, 'Guten Tag!');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (34, 12, false, 'Hallo!');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (35, 12, false, 'Moin!');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (36, 13, true, 'Mir geht es gut, danke!');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (37, 13, false, 'Mir geht es schlecht, danke!');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (38, 13, false, 'Mir geht es so lala.');

INSERT INTO answer (id, question_id, is_correct, text) VALUES (39, 14, true, 'Ich heiße [Name].');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (40, 14, false, 'Ich bin [Name].');
INSERT INTO answer (id, question_id, is_correct, text) VALUES (41, 14, false, 'Ich komme aus [Land].');

ALTER TABLE answer ALTER COLUMN id RESTART WITH 42;